#!/bin/bash
echo "hello"
echo $1
for i in `seq $1 1 $2`
do
    b=$(echo "obase=16; $i" | bc)
    if [ ${#b} -le 1 ]
    then
	docker run -d --hostname=purple --add-host=dev.barco.com:172.17.0.1 --add-host=institute.dev.barco.com:172.17.0.1 --mac-address="02:42:ac:00:00:0${b}" --volume="/$(pwd)/purple_configs/tile${b}:/etc/edu_proxy/config" --volume="/$(pwd)/purple_configs/tile{b}:/var/log/edu_proxy" --volume="/tmp/.X11-unix:/tmp/.X11-unix" --volume="/dev/shm:/dev/shm" --env DISPLAY=:0 --env PURPLE_HEADLESS=1 --name "purple_tile_${i}" lavender
	echo "02:42:ac:00:00:0${b}"
	sleep 10s
    else
	docker run -d --hostname=purple --add-host=dev.barco.com:172.17.0.1 --add-host=institute.dev.barco.com:172.17.0.1 --mac-address="02:42:ac:00:00:${b}" --volume="/$(pwd)/purple_configs/tile${b}:/etc/edu_proxy/config" --volume="/$(pwd)/purple_configs/tile{b}:/var/log/edu_proxy" --volume="/tmp/.X11-unix:/tmp/.X11-unix" --volume="/dev/shm:/dev/shm" --env DISPLAY=:0 --env PURPLE_HEADLESS=1 --name "purple_tile_${i}" lavender
	echo "02:42:ac:00:00:${b}"
	sleep 10s
    fi
done
