import {
  LOG_DIR, CONFIG_DIR,
} from '../files';

export default function printHeader(logger, proxyVersion) {
  // START
  logger.log(
    'info',
    `
        =================================================================================
        ==                                                                             ==
        ==        S T A R T I N G   W E C O N N E C T   A P P L I C A T I O N          ==
        ==                                                                             ==
        =================================================================================
  
        Purple Version                    : ${proxyVersion}
        Config file path                  : ${CONFIG_DIR}
        Log file dir                      : ${LOG_DIR}
    `,
    { serviceLog: true },
  );
}
