import Bridge from './bridge';
import SynchronousScheduler from '../../services/schedulers/synchronousScheduler';
import Scheduler from '../../services/schedulers/scheduler';

class SynchronousBridge extends Bridge {
  get mixins() {
    return [
      ...super.mixins.filter(mixin => !(mixin === Scheduler || mixin.prototype instanceof Scheduler)),
      SynchronousScheduler,
    ];
  }
}

export default SynchronousBridge;
