export default {
  version: '1.2.1',
  upgrade(config) {
    if (config.pairingServer) {
      delete config.pairingServer;
    }

    if (config.meteor) {
      if (config.meteor.restRoutes) {
        config.restRoutes = config.meteor.restRoutes;
        delete config.meteor.restRoutes;
      }

      if (config.meteor.credentials) {
        config.credentials = config.meteor.credentials;
        delete config.meteor.credentials;
      }
    }

    if (config.general && config.general.logFiles) {
      config.logFiles = config.general.logFiles;
      delete config.general;
    }

    return config;
  },
};
