/**
 * In case the device boots without a connection to the cloud, it can't put the devices in fallback mode.
 * That's because it doesn't get the information about which devices
 * it needs to connect to and what their fallback settings are.
 *
 * However, we could assume that the last known configuration is still valid.
 * To make this transparent for the other libraries, we use the ddp client mediator.
 *
 * The mediator mediates between the real ddp connection and a fake one.
 */

class DDPClientMediator {

}

export default DDPClientMediator;
