import ServiceMixin from './serviceMixin';
import serviceRegistry from './serviceRegistry';

/*
eslint-disable no-underscore-dangle
*/
class MessengerMixin extends ServiceMixin {
  constructor(service) {
    super(service);

    const messenger = serviceRegistry.get('messenger');

    this._service._showMessage = messenger.show.bind(messenger);
    this._service._messenger = messenger;
  }
}

export default MessengerMixin;
