import { ROLE, TEST } from '@barco/network-test';
import SingleSiteAccessTest from '@barco/network-test/dist/tests/access/SingleSiteAccess';

import { parseRepository } from '../upgrades/systemVersionMonitor';

export default class DebianRepoAccessTest extends SingleSiteAccessTest {
  constructor(context) {
    const { url } = parseRepository(context.latestDeviceRepo);
    super(url, context);
  }

  start() {
    return super.start();
    // XXX: Ideally this should also try apt-get install --download-only of one package
  }
}

DebianRepoAccessTest.ForTest = TEST.ACCESS_UPDATE;
DebianRepoAccessTest.ForRoles = [ROLE.SLAVE];
