import { ExtendableError } from 'ts-error';

/**
 * Service error, e.g. for errors during start or stop
 */
class ServiceError extends ExtendableError {
  constructor(code, message, params) {
    super(message);
    this.code = code;
    this.params = params;
  }
}

export default ServiceError;
