import createX11Client from '../createX11Client';
import serviceRegistry from '../serviceRegistry';

let x11Client;
export function getX11Client() {
  if (!x11Client || x11Client.destroyed) {
    const logger = serviceRegistry.get('logger').getInstance('X11Client');
    x11Client = createX11Client({ logger });
  }
  return x11Client;
}

export default getX11Client;
