// shared constant with blue
const CAPTION_TYPE = {
  GOOGLE: 'google',
  REVAI: 'revai',
  AZURE: 'azure',
};
Object.freeze(CAPTION_TYPE);

const CAPTION_API_VERSION = {
  V1: 1, // only supports google API and is implicitly default for devices <= 3.0.1-b54
  V2: 2, // supports google/rev.AI
  V3: 3, // supports rev.AI/azure
};
Object.freeze(CAPTION_API_VERSION);

export {
  CAPTION_API_VERSION,
  CAPTION_TYPE,
};
