export default class STTShim {
  constructor({ log }) {
    this._log = log;
  }

  // eslint-disable-next-line no-unused-vars
  start(configuration = {}, onTranscript, onError, onRestart) {
    throw new Error('Should be implemented in child class');
  }

  // eslint-disable-next-line no-unused-vars
  write(chunk) {
    throw new Error('Should be implemented in child class');
  }

  stop() {
    throw new Error('Should be implemented in child class');
  }
}
