# PARSE ARGS
while getopts ":u:p:e:" opt; do
  case $opt in
    u) USER="$OPTARG"
    ;;
    p) PASS="$OPTARG"
    ;;
    \?) echo "Invalid option -$OPTARG" >&2
    ;;
  esac
done


cd ~

# SETUP NPM
NPM_AUTH=$(curl -X GET -u $USER:$PASS https://bin.barco.com/artifactory/api/npm/auth)
IFS=' ' read -r -a array <<< "$NPM_AUTH"
BASIC_AUTH_B64=${array[2]}
BASIC_AUTH=$(echo $BASIC_AUTH_B64 | base64 --decode)


echo "registry = https://bin.barco.com/artifactory/api/npm/npm-virtual" > ~/.npmrc
echo "$NPM_AUTH">>~/.npmrc
echo "electron_mirror=https://$BASIC_AUTH@bin.barco.com/artifactory/www-cache/edu-electron/">>~/.npmrc

