// eslint-disable-next-line import/no-unresolved
import Bridge from '../device-agent/services/bridge.js';
import items from './audio';

class AudioBridge extends Bridge {
  async _onStart() {
    await super._onStart();
    await this._upsert();
  }

  _upsert() {
    Object.assign(this._device, items);
    return this._meteorClient.updateDevice({ _id: this._device._id, ...items });
  }
}

export default AudioBridge;
