// eslint-disable-next-line import/no-unresolved
import Bridge from '../device-agent/services/bridge.js';
import cameras from './cameras';

class UsbCameraBridge extends Bridge {
  async _onStart() {
    await super._onStart();
    await this._syncCameras();
  }

  _syncCameras() {
    this._log('info', 'Syncing cameras');
    this._device.usbCamerasLatest = cameras;

    return this._meteorClient.updateDevice({
      _id: this._device._id,
      usbCamerasLatest: cameras,
    });
  }
}

export default UsbCameraBridge;
