// eslint-disable-next-line import/no-unresolved
import Bridge from '../device-agent/services/bridge.js';
import displays from './displays';

class DisplayBridge extends Bridge {
  async _onStart() {
    await this._upsertDisplays();
  }

  async _upsertDisplays() {
    this._logger.log('info', 'Upserting displays');
    this._device.displaysPrevious = this._device.displaysLatest;
    this._device.displaysLatest = displays;
    return this._meteorClient.updateDevice({
      _id: this._device._id,
      displaysLatest: displays,
    });
  }
}

export default DisplayBridge;
