const cameras = [
  {
    id: '046d_HD_Pro_Webcam_C920_B62F772F',
    serial: '046d_HD_Pro_Webcam_C920_B62F772F',
    vendor: '046d',
    model: '082d',
    formats: [
      {
        id: 1448695129,
        name: 'YUYV',
        resolutions: [
          {
            width: 640,
            height: 480,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 160,
            height: 90,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 160,
            height: 120,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 176,
            height: 144,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 320,
            height: 180,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 320,
            height: 240,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 352,
            height: 288,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 432,
            height: 240,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 640,
            height: 360,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 800,
            height: 448,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 800,
            height: 600,
            framerates: [
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 864,
            height: 480,
            framerates: [
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 960,
            height: 720,
            framerates: [
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 1024,
            height: 576,
            framerates: [
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 1280,
            height: 720,
            framerates: [
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 1600,
            height: 896,
            framerates: [
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 1920,
            height: 1080,
            framerates: [
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 2304,
            height: 1296,
            framerates: [
              {
                numerator: 1,
                denominator: 2,
              },
            ],
          },
          {
            width: 2304,
            height: 1536,
            framerates: [
              {
                numerator: 1,
                denominator: 2,
              },
            ],
          },
        ],
      },
      {
        id: 875967048,
        name: 'H264',
        resolutions: [
          {
            width: 640,
            height: 480,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 160,
            height: 90,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 160,
            height: 120,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 176,
            height: 144,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 320,
            height: 180,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 320,
            height: 240,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 352,
            height: 288,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 432,
            height: 240,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 640,
            height: 360,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 800,
            height: 448,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 800,
            height: 600,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 864,
            height: 480,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 960,
            height: 720,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 1024,
            height: 576,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 1280,
            height: 720,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 1600,
            height: 896,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 1920,
            height: 1080,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
        ],
      },
      {
        id: 1196444237,
        name: 'MJPG',
        resolutions: [
          {
            width: 640,
            height: 480,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 160,
            height: 90,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 160,
            height: 120,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 176,
            height: 144,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 320,
            height: 180,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 320,
            height: 240,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 352,
            height: 288,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 432,
            height: 240,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 640,
            height: 360,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 800,
            height: 448,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 800,
            height: 600,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 864,
            height: 480,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 960,
            height: 720,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 1024,
            height: 576,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 1280,
            height: 720,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 1600,
            height: 896,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
          {
            width: 1920,
            height: 1080,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
              {
                numerator: 1,
                denominator: 24,
              },
              {
                numerator: 1,
                denominator: 20,
              },
              {
                numerator: 1,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 10,
              },
              {
                numerator: 2,
                denominator: 15,
              },
              {
                numerator: 1,
                denominator: 5,
              },
            ],
          },
        ],
      },
    ],
    settings: [
      {
        id: 9963776,
        name: 'Brightness',
        type: 'int',
        min: 0,
        max: 255,
        step: 1,
        default: 128,
        menu: [],
        current: 128,
      },
      {
        id: 9963777,
        name: 'Contrast',
        type: 'int',
        min: 0,
        max: 255,
        step: 1,
        default: 128,
        menu: [],
        current: 128,
      },
      {
        id: 9963778,
        name: 'Saturation',
        type: 'int',
        min: 0,
        max: 255,
        step: 1,
        default: 128,
        menu: [],
        current: 128,
      },
      {
        id: 9963788,
        name: 'White Balance Temperature, Auto',
        type: 'bool',
        min: 0,
        max: 1,
        step: 1,
        default: 1,
        menu: [],
        current: 1,
      },
      {
        id: 9963795,
        name: 'Gain',
        type: 'int',
        min: 0,
        max: 255,
        step: 1,
        default: 0,
        menu: [],
        current: 0,
      },
      {
        id: 9963800,
        name: 'Power Line Frequency',
        type: 'menu',
        min: 0,
        max: 2,
        step: 1,
        default: 2,
        menu: [
          'Disabled',
          '50 Hz',
          '60 Hz',
        ],
        current: 2,
      },
      {
        id: 9963802,
        name: 'White Balance Temperature',
        type: 'int',
        min: 2000,
        max: 6500,
        step: 1,
        default: 4000,
        menu: [],
        current: 4468,
      },
      {
        id: 9963803,
        name: 'Sharpness',
        type: 'int',
        min: 0,
        max: 255,
        step: 1,
        default: 128,
        menu: [],
        current: 128,
      },
      {
        id: 9963804,
        name: 'Backlight Compensation',
        type: 'int',
        min: 0,
        max: 1,
        step: 1,
        default: 0,
        menu: [],
        current: 0,
      },
    ],
    device: 'HD Pro Webcam C920',
    activeFormat: {
      id: 1448695129,
      name: 'YUYV',
    },
    activeResolution: {
      width: 640,
      height: 480,
    },
    activeFramerate: {
      numerator: 1,
      denominator: 30,
    },
    port: 8704,
  },
  {
    id: '00ABCDEF',
    serial: '00ABCDEF',
    vendor: 'Barco',
    model: '001',
    formats: [
      {
        id: 842093913,
        name: 'YU12',
        resolutions: [
          {
            width: 320,
            height: 180,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
            ],
          },
          {
            width: 640,
            height: 360,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
            ],
          },
          {
            width: 960,
            height: 540,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
            ],
          },
          {
            width: 1200,
            height: 896,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
            ],
          },
          {
            width: 1280,
            height: 720,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
            ],
          },
          {
            width: 1920,
            height: 1080,
            framerates: [
              {
                numerator: 1,
                denominator: 30,
              },
            ],
          },
        ],
      },
    ],
    settings: [],
    device: 'Teacher Content (Barco:001)',
    activeFormat: {
      id: 842093913,
      name: 'YU12',
    },
    activeResolution: {
      width: 960,
      height: 540,
    },
    activeFramerate: {
      numerator: 1,
      denominator: 30,
    },
    port: 8702,
  },
];

export default cameras;
