export default function createUI({ logger }) {
  return {
    identify(props) {
      logger.info('Identify', { props });
    },
    stopProgress() {
      logger.info('stopProgress called');
    },
    startProgress() {
      logger.info('startProgress called');
    },
    show(params) {
      logger.info('showing message', params);
      return Object.assign(Promise.all([]), {
        hide() {},
      });
    },
    destroy() {
    },
  };
}
