/*
eslint-disable import/no-unresolved
 */

import './setup';
import startMdnsAd from './mdns-ad';
import AudioBridge from './AudioBridge';
import CameraBridge from './CameraBridge';
import IdentifyBridge from '../device-agent/services/identify/bridge';
import DisplayBridge from './DisplayBridge';
import UnpairBridge from '../device-agent/services/unpair/bridge';
import BrowserBridge from '../device-agent/services/browser/bridge';
import bridges from '../device-agent/bridges';

bridges.splice(0, bridges.length);
bridges.push(
  AudioBridge,
  CameraBridge,
  IdentifyBridge,
  DisplayBridge,
  UnpairBridge,
);

if (!process.env.PURPLE_HEADLESS) {
  bridges.push(BrowserBridge);
}

startMdnsAd();
