import AudioBridge from './services/audio/bridge';
import CinergyBridge from './services/cinergy/bridge';
import BrowserBridge from './services/browser/bridge';
import CameraBridge from './services/cameras/bridge';
import IdentifyBridge from './services/identify/bridge';
import RebooterBridge from './services/rebooter/bridge';
import RecordingBridge from './services/recording/bridge';
import DisplayBridge from './services/displays/bridge';
import UnpairBridge from './services/unpair/bridge';
import UpgradeBridge from './services/upgrade/bridge';
import StreamingBridge from './services/streaming/streamingBridge';
import TeleportBridge from './services/teleport/bridge';
import TimeBridge from './services/time/bridge-timesyncd';
import HealthBridge from './services/health/bridge';
import FluentbitBridge from './services/fluentbit/bridge';

const bridges = [
  AudioBridge,
  CinergyBridge,
  BrowserBridge,
  CameraBridge,
  IdentifyBridge,
  RebooterBridge,
  RecordingBridge,
  DisplayBridge,
  UnpairBridge,
  UpgradeBridge,
  StreamingBridge,
  TeleportBridge,
  TimeBridge,
  HealthBridge,
  FluentbitBridge,
];

export default bridges;
