import { exec } from 'child_process';
import { promisify } from 'util';

// Get the list of running processes
function _runPS() {
  return promisify(exec)('ps -A');
}

async function isWMRunning() {
  const { stdout } = await _runPS();
  return stdout.includes('fluxbox');
}

export default isWMRunning;
export { isWMRunning };
