export default {
  version: '1.0.0-RC31',
  upgrade(config) {
    let restBase = config.Meteor.ssl ? 'https' : 'http';
    restBase += `://${config.Meteor.host}/api/v1`;

    if (!config.Meteor.hasOwnProperty('restRoutes')) {
      config.Meteor.restRoutes = {
        login: `${restBase}/login`,
        latestVersionInfo: `${restBase}/latestDeviceVersionInfo`,
      };
    }

    if (!config.Meteor.hasOwnProperty('proxy')) {
      config.Meteor.proxy = {
        url: '',
        user: '',
        password: '',
      };
    }

    return config;
  },
};
