import * as getValue from 'get-value';

export default {
  version: '1.2.0-RC0',
  upgrade(config) {
    if (config.meteor
    && !config.meteor.server
    && config.meteor.hasOwnProperty('ssl')
    && config.meteor.host) {
      const server = `http${config.meteor.ssl ? 's' : ''}://${config.meteor.host}:${config.meteor.port}`;
      config.meteor.server = server;
    }

    if (getValue(config, 'meteor.meteor.credentials.resume.expiresAt')) {
      config.meteor.credentials.resume.tokenExpires = config.meteor.credentials.resume.expiresAt;
      delete config.meteor.credentials.resume.expiresAt;
    }

    return config;
  },
};
