var dbus = require('dbus-native')
import { detectDbusSessionAddress } from '../src/dbus/detect'

const _detectPulseAddress = function () {
  return new Promise((resolve, reject) => {
    detectDbusSessionAddress((err, address) => {
      if (err) {
        reject(err)
      } else {
        dbus.sessionBus({
          busAddress: address
        })
          .getService('org.PulseAudio1')
          .getInterface('/org/pulseaudio/server_lookup1', 'org.PulseAudio.ServerLookup1', function (err, PASL) {
            if (err) {
              reject('Could not connect to PulseAudio lookup service.')
            } else {
              PASL.Address((err, address) => {
                if (err) reject(err)
                else resolve(address)
              })
            }
          })
      }
    })
  })
}

_detectPulseAddress().then((address) => {

var sessionBus = dbus.sessionBus({
  busAddress: address,
  direct:true
})
sessionBus.getService('org.PulseAudio').getInterface(
  '/org/pulseaudio/core1',
  'org.PulseAudio.Core1', function (err, sink) {
debugger;
    // dbus signals are EventEmitter events
    sink.ListenForSignal('org.PulseAudio.Core1.Device.ActivePortUpdated', [], function(err,test){
      debugger;
    });
  })

});


